XkbLatchModifiers(3)

NAME
XkbLatchModifiers - Latches and unlatches any of the eight real keyboard modifiers

SYNOPSIS
Bool XkbLatchModifiers ( display, device_spec, affect, values )
      Display *display;
      unsigned int device_spec;
      unsigned int affect;
      unsigned int values;

ARGUMENTS

display
    connection to the X server

device_spec
    device ID, or XkbUseCoreKbd

affect
    mask of real modifiers whose lock state is to change

values
    1 => lock, 0 => unlock; only for modifiers selected by affect

DESCRIPTION

XkbLatchModifiers sends a request to the server to latch the real modifiers selected by both affect and values and to unlatch the real modifiers selected by affect , but not selected by values.

XkbLatchModifiers does not wait for a reply from the server. It returns True if the request was sent, and False otherwise.

The functions in this section that change the use of modifiers use a mask in the parameter affect. It is a bitwise inclusive OR of the legal modifier masks:

Table 1 Real Modifier Masks
Mask
ShiftMask
LockMask
ControlMask
Mod1Mask
Mod2Mask
Mod3Mask
Mod4Mask
Mod5Mask

RETURN VALUES

True
    The XkbLatchModifiers function returns True if a request was sent to the server to latch the real modifiers selected by both affect and values and to unlatch the real modifiers selected by affect , but not selected by values.

False
    The XkbLatchModifiers function returns False if the request was not sent.